<template>
  <semaforo
    bar-size="170"
    :loadingTitle="loadingTitle"
    :loadingContent="loadingContent"
    :data="semaforo"
  />
</template>
<script>
import store from "@/store";
const axios = store.state.axiosApiLocal;
import Semaforo from "@/views/secure/sistema-informacion/dashboards/v2/disciplinas/components/graficas/Semaforo.vue";
export default {
  name: "Component-SemaforoImp",
  props: ["filters"],
  components: {
    Semaforo,
  },
  data() {
    return {
      loadingTitle: true,
      loadingContent: true,
      semaforo: {},
    };
  },
  methods: {
    getSemaforoRangos(semaforo) {
      axios(
        "/sistema-informacion/tablero/semaforos/v1/" +
          semaforo.idSemaforo +
          "/rangos"
      )
        .then((response) => {
          let data = response.data;
          if (data) {
            semaforo.rangos = data.resultado.rangos;
            this.loadingContent = false;
          }
        })
        .catch((error) => {});
    },
    getSemaforo() {
      axios("/sistema-informacion/tablero/semaforos/v1/clave/semaforo-oficial")
        .then((response) => {
          let data = response.data;
          if (data) {
            this.semaforo = data.resultado;
            this.getSemaforoRangos(this.semaforo);
            this.loadingTitle = false;
          }
        })
        .catch((error) => {
          if (error.response && error.response.status == 404) {
            this.semaforo = {};
          } else {
            console.log(error);
          }
        });
    },
    getColorByValue(value) {
      let rango = this.semaforo.rangos.filter(
        (item) => item.limiteInferior <= value && item.limiteSuperior >= value
      );
      if (rango) {
        return rango.color;
      } else {
        return null;
      }
    },
  },
  created() {
    this.getSemaforo();
  },
};
</script>
